<?php

// ---------------------------------------------------------------------
//            (c) sgs-visual.de 2024 - Öffnungszeiten 1.4
//                     Ausgabe Montag bis Sonntag
//
//                      https://www.sgs-visual.de
// ---------------------------------------------------------------------

          setlocale(LC_TIME, "de_DE.utf8");

  // ------------------------------------------------------------------
  //                          Daten abspeichern
  // ------------------------------------------------------------------

$link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URL]";

?>

<!doctype html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" type="image/png" href="sgs_icons/oeffnungszeiten.png"/>
    <meta name="robots" content="nofollow">
    <meta name="viewport" content="width = device-width, initial-scale = 1.0" />
    <title>Admin-Bereich - &Ouml;ffnungs- und Schließzeiten</title>
    <link rel="stylesheet" href="data/sgs-komplex-1.1.css">
</head>

<style> .Urlaubsinfo{background-color: #FFFFFF;width: 320px;box-sizing: border-box;text-align: center;}</style>

<body class="seiteninhalt_schiefer">
   <br>
     <body oncontextmenu="return false">

<div class="zentriert">
	
      <div class="ErsteBox_dunkel">


 <p class="font_16 zentriert"><strong>Ihre Daten wurden übertragen und gespeichert.</strong></p>
   <br>
     <hr id="linie_grau"><br>
     <p class="zentriert font 16"><strong>Vorschau</strong></p>

Hier in der Vorschau entspricht es dem Modul, das Sie im Admin-Bereich ausgewählt haben.<br><br>

     </div>
</div>


 <?php

//  Modulauswahl

     $modul = $_POST["modul"];
     file_put_contents("data/modul.txt", $modul); //Abspeichern Modul
     $modul = file_get_contents("data/modul.txt");


  // ANZEIGENAME

     $anzeigename = $_POST["anzeigename"];
     file_put_contents("data/anzeigename.txt", $anzeigename); //Abspeichern Anzeigename
     $anzeigename = file_get_contents("data/anzeigename.txt");


  // CSS DATEN

     $fontfamily = $_POST["fontfamily"];
     file_put_contents("css/fontfamily.txt", $fontfamily);
     $fontfamily = file_get_contents("css/fontfamily.txt");

     $namebgcol = $_POST["namebgcol"];
     file_put_contents("css/namebgcol.txt", $namebgcol);
     $namebgcol = file_get_contents("css/namebgcol.txt");

     $namefontcol = $_POST["namefontcol"];
     file_put_contents("css/namefontcol.txt", $namefontcol);
     $namefontcol = file_get_contents("css/namefontcol.txt");

     $namefontgroesse = $_POST["namefontgroesse"];
     file_put_contents("css/namefontgroesse.txt", $namefontgroesse);
     $namefontgroesse = file_get_contents("css/namefontgroesse.txt");

     $namefonteigenschaft = $_POST["namefonteigenschaft"];
     file_put_contents("css/namefonteigenschaft.txt", $namefonteigenschaft);
     $namefonteigenschaft = file_get_contents("css/namefonteigenschaft.txt");

     $boxecken = $_POST["boxecken"];
     file_put_contents("css/boxecken.txt", $boxecken);
     $boxecken = file_get_contents("css/boxecken.txt");

     $boxenrahmenfarbe = $_POST["boxenrahmenfarbe"];
     file_put_contents("css/boxenrahmenfarbe.txt", $boxenrahmenfarbe);
     $boxenrahmenfarbe = file_get_contents("css/boxenrahmenfarbe.txt");

     $box1fontgroesse = $_POST["box1fontgroesse"];
     file_put_contents("css/box1fontgroesse.txt", $box1fontgroesse);
     $box1fontgroesse = file_get_contents("css/box1fontgroesse.txt");

     $box2fontgroesse = $_POST["box2fontgroesse"];
     file_put_contents("css/box2fontgroesse.txt", $box2fontgroesse);
     $box2fontgroesse = file_get_contents("css/box2fontgroesse.txt");

     $boxrahmenfarbe = $_POST["boxrahmenfarbe"];
     file_put_contents("css/boxrahmenfarbe.txt", $boxrahmenfarbe);
     $boxrahmenfarbe = file_get_contents("css/boxrahmenfarbe.txt");

     $boxenrahmendicke = $_POST["boxenrahmendicke"];
     file_put_contents("css/boxenrahmendicke.txt", $boxenrahmendicke);
     $boxenrahmendicke = file_get_contents("css/boxenrahmendicke.txt");

     $boxenbreite = $_POST["boxenbreite"];
     file_put_contents("css/boxenbreite.txt", $boxenbreite);
     $boxenbreite = file_get_contents("css/boxenbreite.txt");

     $boxenbgcol = $_POST["boxenbgcol"];
     file_put_contents("css/boxenbgcol.txt", $boxenbgcol);
     $boxenbgcol = file_get_contents("css/boxenbgcol.txt");

     $boxabstand = $_POST["boxabstand"];
     file_put_contents("css/boxabstand.txt", $boxabstand);
     $boxabstand = file_get_contents("css/boxabstand.txt");

     $boxschatten = $_POST["boxschatten"];
     file_put_contents("css/boxschatten.txt", $boxschatten);
     $boxschatten = file_get_contents("css/boxschatten.txt");

     $geoeffnetfarbe = $_POST["geoeffnetfarbe"];
     file_put_contents("css/geoeffnetfarbe.txt", $geoeffnetfarbe);
     $geoeffnetfarbe = file_get_contents("css/geoeffnetfarbe.txt");

     $geschlossenfarbe = $_POST["geschlossenfarbe"];
     file_put_contents("css/geschlossenfarbe.txt", $geschlossenfarbe);
     $geschlossenfarbe = file_get_contents("css/geschlossenfarbe.txt");



// ###############################################

  // MONTAG

     $startMo = $_POST["startMo"];
     file_put_contents("data/startMo.dat", $startMo); //Abspeichern Startzeit Montag
     $startMo = file_get_contents("data/startMo.dat");

     $stopMo = $_POST["stopMo"];
     file_put_contents("data/stopMo.dat", $stopMo); //Abspeichern Schließzeit Montag
     $stopMo = file_get_contents("data/stopMo.dat");


  // DIENSTAG

     $startDi = $_POST["startDi"];
     file_put_contents("data/startDi.dat", $startDi); //Abspeichern Startzeit Dienstag
     $startDi = file_get_contents("data/startDi.dat");


     $stopDi = $_POST["stopDi"];
     file_put_contents("data/stopDi.dat", $stopDi); //Abspeichern Schließzeit Dienstag
     $stopDi = file_get_contents("data/stopDi.dat");


  // MITTWOCH

     $startMi = $_POST["startMi"];
     file_put_contents("data/startMi.dat", $startMi); //Abspeichern Startzeit Mittwoch
     $startMi = file_get_contents("data/startMi.dat");


     $stopMi = $_POST["stopMi"];
     file_put_contents("data/stopMi.dat", $stopMi); //Abspeichern Schließzeit Mittwoch
     $stopMi = file_get_contents("data/stopMi.dat");


  // DONNERSTAG

     $startDo = $_POST["startDo"];
     file_put_contents("data/startDo.dat", $startDo); //Abspeichern Startzeit Donnerstag
     $startDo = file_get_contents("data/startDo.dat");


     $stopDo = $_POST["stopDo"];
     file_put_contents("data/stopDo.dat", $stopDo); //Abspeichern Schließzeit Donnerstag
     $stopDo = file_get_contents("data/stopDo.dat");


  // FREITAG

     $startFr = $_POST["startFr"];
     file_put_contents("data/startFr.dat", $startFr); //Abspeichern Startzeit Freitag
     $startFr = file_get_contents("data/startFr.dat");


     $stopFr = $_POST["stopFr"];
     file_put_contents("data/stopFr.dat", $stopFr); //Abspeichern Schließzeit Freitag
     $stopFr = file_get_contents("data/stopFr.dat");


  // SAMSTAG

     $startSa = $_POST["startSa"];
     file_put_contents("data/startSa.dat", $startSa); //Abspeichern Startzeit Samstag
     $startSa = file_get_contents("data/startSa.dat");


     $stopSa = $_POST["stopSa"];
     file_put_contents("data/stopSa.dat", $stopSa); //Abspeichern Schließzeit Samstag
     $stopSa = file_get_contents("data/stopSa.dat");


  // SONNTAG

     $startSo = $_POST["startSo"];
     file_put_contents("data/startSo.dat", $startSo); //Abspeichern Startzeit Sonntag
     $startSo = file_get_contents("data/startSo.dat");


     $stopSo = $_POST["stopSo"];
     file_put_contents("data/stopSo.dat", $stopSo); //Abspeichern Schließzeit Sonntag
     $stopSo = file_get_contents("data/stopSo.dat");

//  ######  Urlaubsdaten  ###############################

     $urlaubname = $_POST["urlaubname"];
     file_put_contents("data/urlaubname.txt", $urlaubname); //Abspeichern Urlaubsbezeichnung
     $urlaubname = file_get_contents("data/urlaubname.txt");

     $urlaubinfo = $_POST["urlaubinfo"];
     file_put_contents("data/urlaubinfo.txt", $urlaubinfo); //Abspeichern Infotext
     $urlaubinfo = file_get_contents("data/urlaubinfo.txt");

     $urlaubstart = $_POST["urlaubstart"];
     file_put_contents("data/urlaubstart.txt", $urlaubstart); //Abspeichern Urlaubsbeginn
     $urlaubstart = file_get_contents("data/urlaubstart.txt");

     $urlaubstop = $_POST["urlaubstop"];
     file_put_contents("data/urlaubstop.txt", $urlaubstop); //Abspeichern Urlaubsende
     $urlaubstop = file_get_contents("data/urlaubstop.txt");


     $urlaubschalter = $_POST["urlaubschalter"];
     file_put_contents("data/urlaubschalter.txt", $urlaubschalter); //Abspeichern ob Ein oder Aus
     $urlaubschalter = file_get_contents("data/urlaubschalter.txt");

     $urlaubnameS = $_POST["urlaubnameS"];
     file_put_contents("data/urlaubnameS.txt", $urlaubnameS); //Abspeichern Urlaubsbezeichnung S
     $urlaubnameS = file_get_contents("data/urlaubnameS.txt");

     $urlaubinfoS = $_POST["urlaubinfoS"];
     file_put_contents("data/urlaubinfoS.txt", $urlaubinfoS); //Abspeichern Infotext S
     $urlaubinfoS = file_get_contents("data/urlaubinfoS.txt");

//   #####   Urlaubsdaten Ende ##################################

// #################Sondertage #############################

     $sondertagname1 = $_POST["sondertagname1"];
     file_put_contents("data/sondertagname1.txt", $sondertagname1); //Abspeichern Sondertag1 Name
     $sondertagname1 = file_get_contents("data/sondertagname1.txt");

     $sondertagstart1 = $_POST["sondertagstart1"];
     file_put_contents("data/sondertagstart1.txt", $sondertagstart1); //Abspeichern Sondertag1 Datum
     $sondertagstart1 = file_get_contents("data/sondertagstart1.txt");

// -----------------------------------------------------------

// ######################################################


  // ------------------------------------------------------------------------------
  //                      Daten wurden abgespeichert 
  // ------------------------------------------------------------------------------

  // -------------------------------------------------------------------------------
  // ---- Hier folgt der sichtbare Ausgabeteil der Öffnungszeiten-Tabelle  ---
  // -------------------------------------------------------------------------------

?>

  <link href="css/style.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="data/sgs-komplex-1.1.css">

   <! --- Ausgabe der Öffnungszeiten in einer DIV-Box--->

<br>


<?php

  //  ########## Modul festlegen ######################

  if ($modul == "0") {
     $oeffnungszeitenanzeige = "index_mo-fr_start.php";
              }
  if ($modul == "1") {
     $oeffnungszeitenanzeige = "index_mo-sa_start.php";
              }
  if ($modul == "2") {
     $oeffnungszeitenanzeige = "index_mo-so_start.php";
              }
           else { $oeffnungszeitenanzeige == "index_mo-so_start.php"; }

  //  ########## Modul festlegen Ende #################

// ---------------------------------------------------------------------
//            (c) sgs-visual.de 2024 - Öffnungszeiten 1.4
//              Ausgabe Montag bis Sonntag  VORSCHAU
//
//                      https://www.sgs-visual.de
// ---------------------------------------------------------------------

   $aktuellesJahr = date('Y');

    setlocale(LC_TIME, "de_DE.utf8");

date_default_timezone_set('Europe/Berlin');
  
function oeffnungszeiten() {

 // Wochentage ( Montag = 1, Dienstag = 2, ... Samstag = 6, Sonntag = 7 )
 $close = array(8);

 $tage = ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
 $monate = [1=>"Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
 $tag = date("w");

// Montag
 if (date('N') == "1") {
  $time_start = file_get_contents("data/startMo.dat");
  $time_stop = file_get_contents("data/stopMo.dat"); 
 }

// Dienstag
 if (date('N') == "2") {
  $time_start = file_get_contents("data/startDi.dat");
  $time_stop = file_get_contents("data/stopDi.dat"); 
 }

// Mittwoch
 if (date('N') == "3") {
  $time_start = file_get_contents("data/startMi.dat");
  $time_stop = file_get_contents("data/stopMi.dat"); 
 }

 // Donnerstag
 if (date('N') == "4") {
  $time_start = file_get_contents("data/startDo.dat");
  $time_stop = file_get_contents("data/stopDo.dat"); 
 }

 //Freitag
 if (date('N') == "5") {
  $time_start = file_get_contents("data/startFr.dat");
  $time_stop = file_get_contents("data/stopFr.dat");
 }

// Samstag
 if (date('N') == "6") {
  $time_start = file_get_contents("data/startSa.dat");
  $time_stop = file_get_contents("data/stopSa.dat");
 }

// Sonntag
 if (date('N') == "7") {
  $time_start = file_get_contents("data/startSo.dat");
  $time_stop = file_get_contents("data/stopSo.dat");
 }


// #### Feste und bewegliche Feiertage ####

$holiday =  [ 
 '01.01',       // Neues Jahr
 '06.01',      // Heilige Drei Könige - Bayern, Baden Würtemberg, Sachsen, Sachsen-Anhalt
 $Rosenmontag = date("d.m",easter_date()-48*86400), // Rosenmontag,  48 Tage vor Ostern
 $Karfreitag = date("d.m",easter_date()-2*86400), // Karfreitag, 2 Tage vor Ostern - ALLE
 $Ostersonntag = date("d.m",easter_date()-1*86400), // Ostersonntag - Brandenburg, Hessen
 $Ostermontag = date("d.m",easter_date()+86400), // Ostermontag - ALLE
 '01.05',             // Erster Mai - ALLE
 $ChristiHimmelfahrt = date("d.m",easter_date()+39*86400),  // ALLE
 $Pfingstsonntag = date("d.m",easter_date()+49*86400), //  Brandenburg, Hessen
 $Pfingstmontag = date("d.m",easter_date()+50*86400),    // ALLE
 $Fronleichnam = date("d.m",easter_date()+60*86400),    // ALLE
 '08.08',    // Augsburger Hohes Friedensfest (Bayern/Augsburg)
 '15.08',              // Mariä Himmelfahrt - Bayern
 '03.10', // Tag der deutschen Einheit  - ALLE
 '01.11',  // Allerheiligen - Baden Württemberg, Bayern, Nordrhein Westphalen, Niedersachsen, Saarland
 '24.12', // Heiliger Abend - ALLE
 '25.12', // 1 Weihnachtstag - ALLE
 '26.12', // 2 Weihnachtstag - ALLE
 '31.12', // Silvester  - ALLE
 '$sondertag1datum', // Sondertag1
];

$feiertag ="keiner";


  // Prüfen ob geöffnet ist (Wochentag, Uhrzeit und Feiertag)
  if (date('N') != in_array(date('N'), $close) &&
      date('H:i') >= $time_start &&
      date('H:i') <= $time_stop &&
      date('d.m') != in_array(date('d.m'), $holiday)) {
    $offen = ' Heute ist bis ' . $time_stop . ' <strong class="offen">&nbsp;geöffnet</strong>';
   }
   else {
     if (date('d.m') == in_array(date('d.m'), $holiday)) {
      if (date("d.m") == "01.01") $feiertag = 'Neujahr'; // ALLE
      if (date("d.m") == "06.01") $feiertag = 'Heilige Drei Könige'; // Bayern
      if (date("d.m") == "$Rosenmontag") $feiertag = 'Rosenmontag'; // Hessen (Wiesbaden), Rheinland-Pfalz (Mainz), Nordrhein-Westfalen (Köln)
      if (date("d.m") == "$Karfreitag") $feiertag = 'Karfreitag';    // ALLE
      if (date("d.m") == "$Ostersonntag") $feiertag = 'Ostersonntag'; // Brandenburg, Hessen
      if (date("d.m") == "$Ostermontag") $feiertag = 'Ostemontag'; // ALLE
      if (date("d.m") == "01.05") $feiertag = 'Tag der Arbeit'; // ALLE
      if (date("d.m") == "$ChristiHimmelfahrt") $feiertag = 'Christi Himmelfahrt'; // ALLE
      if (date("d.m") == "$Pfingstsonntag") $feiertag = 'Pfingstsonntag'; // Brandenburg, Hessen
      if (date("d.m") == "$Pfingstmontag") $feiertag = 'Pfingstmontag'; // ALLE
      if (date("d.m") == "$Fronleichnam ") $feiertag = 'Fronleichnam'; // Baden-Württemberg, Bayern, Hessen, Niedersachsen, Nordrhein Westphalen, Rheinland Pfalz, Saarland
      if (date("d.m") == "08.08") $feiertag = 'Hohes Friedensfest'; // Bayern (nur in Augsburg!)
      if (date("d.m") == "15.08") $feiertag = 'Mariä Himmelfahrt'; // Bayern
      if (date("d.m") == "03.10") $feiertag = 'Tag d. Dt. Einheit'; // ALLE
      if (date("d.m") == "31.10") $feiertag = 'Reformationstag'; // Brandenburg, Freie Hansestadt Bremen, Hamburg, Mecklenburg Vorpommern, Niedersachsen, Sachsen, Sachsen-Anhalt
      if (date("d.m") == "01.11") $feiertag = 'Allerheiligen'; // Baden Württemberg, Bayern, Nordrhein Westphalen, Niedersachsen, Saarland
      
      if (date("d.m") == "24.12") $feiertag = 'Heiliger Abend'; // ALLE
      if (date("d.m") == "25.12") $feiertag = '1. Weihnachtstag'; // ALLE
      if (date("d.m") == "26.12") $feiertag = '2. Weihnachtstag'; // ALLE
      if (date("d.m") == "31.12") $feiertag = 'Silvester'; // ALLE

      if (date("d.m") == "$sondertagstart1") $feiertag = '$sondertagname1'; // Sondertag-1

   }


   if ($feiertag != "keiner") {
    $offen = " &#9999; " . $feiertag . ', Heute ist <strong class="geschlossen">&nbsp;geschlossen</strong>.';
   }
//   elseif ($tage[$tag] == "Samstag") {
//    $offen = 'Heute haben wir <strong class="geschlossen">&nbsp;geschlossen</strong>.';
//   }
//   elseif ($tage[$tag] == "Sonntag") {
//    $offen = 'Heute haben wir <strong class="geschlossen">&nbsp;geschlossen</strong>.';
//   }
   else {
    $offen = 'Zur Zeit haben wir <strong class="geschlossen">&nbsp;geschlossen</strong>.';
   }
  }

// ################  Urlaubszeit Ein- oder Ausschalten  ##############
// Der Urlaub ist mit "0" ausgeschaltet ! Nur über Adminbereich Ein- oder Ausschalten!

  if ($urlaub != "0") {
$offen = "<center><p><?php $urlaubnameS; ?><br><?php $urlaubinfoS; ?><b class='geschlossen'>&nbsp;geschlossen</b></p></center>";
              }
              else { $urlaub = "1"; } 

//  ##############  Urlaub nach Zeitraum  #######################

  return($offen);
}

// -------------------------------------------------------------------------
// ---- Hier folgt der sichtbare Ausgabeteil der Öffnungszeiten  ---
// -------------------------------------------------------------------------

?>

<?php

 // --- Daten laden ---

 // ANZEIGENAME

         $anzeigename = file_get_contents("data/anzeigename.txt");

 // Montag

           $startMo = file_get_contents("data/startMo.dat");
           $stopMo = file_get_contents("data/stopMo.dat");

 // Dienstag

           $startDi = file_get_contents("data/startDi.dat");
           $stopDi = file_get_contents("data/stopDi.dat");

 // Mittwoch

           $startMi = file_get_contents("data/startMi.dat");
           $stopMi = file_get_contents("data/stopMi.dat");

 // Donnerstag

           $startDo = file_get_contents("data/startDo.dat");
           $stopDo = file_get_contents("data/stopDo.dat");

 // Freitag

           $startFr = file_get_contents("data/startFr.dat");
           $stopFr = file_get_contents("data/stopFr.dat");

 // Samstag

           $startSa = file_get_contents("data/startSa.dat");
           $stopSa = file_get_contents("data/stopSa.dat");

 // Sonntag

           $startSo = file_get_contents("data/startSo.dat");
           $stopSo = file_get_contents("data/stopSo.dat");


 // -------------------------------------------------
 // ----- Daten wurden geladen ---------------
 // -------------------------------------------------


?>


    <link href="css/style.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="css/sgs-komplex-1.1.css">

   <! -- ##############################  -->
   <! --      Ausgabe der Öffnungszeiten in einer DIV-Box     -->
   <! -- ##############################  -->  

<div class="zentriert">

  <div class="ZweiteBox_hell zentriert">
 
 <iframe src="<?php echo $oeffnungszeitenanzeige ?>" name="modul" scrolling="no" frameborder="0" marginheight="0px" marginwidth="0px" height="280px" width="280" allowfullscreen></iframe> <! --  <?php echo $link;?>/sgs_oeffnungszeiten/  -->
<br>
  </div>
</div>

<div>
<br>
    <p class="font_arial font_weiss font_14 zentriert">
           Hier sehen Sie die Vorschau der Datei index_urlaub_ausgabe.php<br>
Diese Anzeige wird erst angezeigt, wenn das Startdatum erreicht ist.<br>Hier in der Vorschau wird die Text-Ausgabe, zur Kontrolle, dauerhaft angezeigt.<br>(Hier das Datum im Format ''Jahr-Monat-Tag'')<br>Urlaub-, Inventur- oder Umbauzeit wurde eingestellt von<br> Start-Datum: <?php echo $urlaubstart; ?> bis End-Datum: <?php echo $urlaubstop; ?><br><br>
  </p>

</div>

<p class="font_arial font_weiss font_14 zentriert">
Hier sehen Sie eine vergrößerte Ansicht der Information ''Urlaub oder Inventur'':
</p>
<center><div class="inforahmen">
   <div class="Urlaubsinfo">
<?php echo "<center><span class='font_arial font_22 font_schwarz'><b>$urlaubname</b>&nbsp;</span><span class='font_arial font_16 font_schwarz'><br>$urlaubinfo geschlossen</span></center>"; ?>
  </div>
</div>
<br>
<p class="font_arial font_weiss font_14 zentriert">
Hier sehen Sie eine vergrößerte Ansicht der Information des Schnell-Schalters:
</p>
<center><div class="inforahmen">
   <div class="Urlaubsinfo">
<?php echo "<center><span class='font_arial font_22 font_schwarz'><b>$urlaubnameS</b>&nbsp;</span><span class='font_arial font_16 font_schwarz'><br>$urlaubinfoS geschlossen</span></center>"; ?>
  </div>
  </div></center>

<div>
    <p>

    <button class="input_arial btn_blau font_16 font_weiss rahmen_rund_weiss_2 zentriert"; onclick="window.location.href = 'admin.php'"> <img src="<?php echo $link;?>/sgs_oeffnungszeiten/sgs_icons/zurueck_weiss.png" width="14" height="12">&nbsp;zurück</button>

</p>

</div>

<br><br>

 
 </body>
</html>